Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Reactions

Get Content Reactions
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"cc8efe1b-396c-4518-9080-c28290fd3f3e","userId":"ae6ee90f-87ab-442b-8e29-d948ad0a71f0","userUrl":null,"type":"Angry","creationDateTime":"2026-07-12T23:22:54.2075328+00:00"},{"id":"87f74291-a502-4df6-b50d-3da58b29803c","userId":"322fbbcf-23de-485b-b109-54d3c96e652f","userUrl":null,"type":"Like","creationDateTime":"2026-07-12T23:22:54.2075328+00:00"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string